Bug 120736 - Update port: devel/libffi to 3.0.1
Summary: Update port: devel/libffi to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-16 16:40 UTC by Björn König
Modified: 2008-02-21 09:20 UTC (History)
0 users

See Also:


Attachments
ports-devel-libffi.diff (5.00 KB, patch)
2008-02-16 16:40 UTC, Björn König
no flags Details | Diff
ports-devel-libffi.diff (19.30 KB, patch)
2008-02-21 02:35 UTC, Björn König
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Björn König 2008-02-16 16:40:01 UTC
	The patch below updates the port devel/libffi from 1.20 to 3.0.1.
	
	The maintainer Horance Chou didn't respond to my mails yet. I like
	to take the maintainership with his agreement.
Comment 1 Edwin Groothuis freebsd_committer 2008-02-16 16:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Björn König 2008-02-17 13:15:09 UTC
Horance Chou gave me the permission to take the maintainership. Please
change the maintainer's mail address of the port accordingly.

Björn


------------------------ Original Message --------------------------------
Subject: Re: FreeBSD port: devel/libffi
From:    "Horance Chou" <horance@freera.net>
Date:    So, 17.02.2008, 06:12
To:      Björn König <bkoenig@alpha-tierchen.de>
--------------------------------------------------------------------------

Hello,

It's a great news :)
please take the maintainership,
thanks a lot!

-- 
Regards,
    Horance

On 2/15/08, Björn König <bkoenig@alpha-tierchen.de> wrote:
>
> Hello,
>
> I'm the maintainer of the FreeBSD port devel/libffi-devel and I want to
> inform you that libffi 2.99.7 has been released yesterday.
>
> http://sources.redhat.com/libffi/
>
> Are you still interested in maintaining the port devel/libffi or can I
> take the maintainership otherwise?
>
> Regards
> Björn König
>
>
>
Comment 3 Björn König 2008-02-19 13:49:32 UTC
Hello,

libffi 3.0.1 did not pass all sanity checks yet. Please do not deal with
this port until I sent patches.

Björn
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-02-19 15:50:28 UTC
State Changed
From-To: feedback->suspended

Maintainer says that this isn't ready yet.
Comment 5 Björn König 2008-02-21 02:35:02 UTC
Hello again,

hereby I like to submit an update for this port again. Please change the
state of this PR. Thanks.

Björn
Comment 6 Beech Rintoul freebsd_committer 2008-02-21 08:26:36 UTC
State Changed
From-To: suspended->open

I'll take it 


Comment 7 Beech Rintoul freebsd_committer 2008-02-21 08:26:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 8 dfilter service freebsd_committer 2008-02-21 09:07:25 UTC
beech       2008-02-21 09:07:17 UTC

  FreeBSD ports repository

  Modified files:
    devel/libffi         Makefile distinfo pkg-plist 
  Added files:
    devel/libffi/files   patch-Makefile.am-new patch-configure.ac 
                         patch-src-x86-freebsd.S 
  Removed files:
    devel/libffi/files   patch-aa patch-ab patch-ad 
  Log:
  - Update to 3.0.1
  - Pass maintainership to submitter
  
  PR:             ports/120736
  Submitted by:   Bjorn Konig <bkoenig@alpha-tierchen.de>
  Approved by:    Horance Chou <horance@freera.net> (maintainer)
  
  Revision  Changes    Path
  1.23      +16 -13    ports/devel/libffi/Makefile
  1.5       +3 -3      ports/devel/libffi/distinfo
  1.1       +29 -0     ports/devel/libffi/files/patch-Makefile.am-new (new)
  1.4       +0 -11     ports/devel/libffi/files/patch-aa (dead)
  1.4       +0 -11     ports/devel/libffi/files/patch-ab (dead)
  1.3       +0 -20     ports/devel/libffi/files/patch-ad (dead)
  1.1       +31 -0     ports/devel/libffi/files/patch-configure.ac (new)
  1.1       +460 -0    ports/devel/libffi/files/patch-src-x86-freebsd.S (new)
  1.8       +3 -3      ports/devel/libffi/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Beech Rintoul freebsd_committer 2008-02-21 09:09:47 UTC
State Changed
From-To: open->closed

Committed, Thanks!